Page MenuHomePhabricator

Goal: Evolve Engineering Community team into Developer Relations team
Closed, ResolvedPublic

Event Timeline

Qgil created this task.Jun 30 2015, 3:27 PM
Qgil claimed this task.
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil added a project: Developer-Advocacy.
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 30 2015, 3:27 PM

@Qgil very exciting! Is there any talk on how internal API users (e.g. Wikimedia app teams) can help with this?

Talk not really, but some ideas that have been discussed at some point:

  • Showcase in #dev.wikimedia.org and in events great features achieved using Wikimedia web APIs.
  • Highlight web APIs that require better documentation and/or more promotion.
  • Participate actively in a potential "Web APIs" main area targeted to third party developers in our big events (Developer Summit and the Hackathons).
  • More? We are all ears.
  • Mentoring internships and tasks pushing in this direction.

It would be great if you could start thinking of team or individual quarterly goals to collaborate on tangible objectives.

Qgil updated the task description. (Show Details)Sep 1 2015, 7:24 AM
Qgil set Security to None.
Qgil raised the priority of this task from Normal to High.Sep 2 2015, 7:04 AM
Qgil updated the task description. (Show Details)Sep 2 2015, 7:07 AM
Qgil added a comment.EditedSep 4 2015, 9:35 AM

Turns out changing the name of a team internally is a complex process. I should have investigated deeper before, when I asked casually it seemed to be as simple as renaming some wiki pages and little more. I'm waiting for directions from Finance, Administration, and Human Resources, and the possibility of not doing this change of name internally during this quarter definitely exists. We'll see.

In any case, this bureaucratic step is not stopping the ideas behind the change to Developer Relations, as we are starting to reflect in our quarterly goals (T109829).

Qgil updated the task description. (Show Details)Sep 10 2015, 9:37 PM

Thanks to the help of several people in HR, Accounting, Comms, and more, I got the rename approved internally, and it is now reflected at https://wikimediafoundation.org/wiki/Staff_and_contractors?showall=1

I will work through the rest of the list today, hoping to close the transition (and this task) quickly.

greg awarded a token.Sep 11 2015, 3:42 AM
greg added a subscriber: greg.
Qgil closed this task as Resolved.Sep 13 2015, 12:48 PM
Qgil updated the task description. (Show Details)

https://www.mediawiki.org/wiki/Developer_Relations and Developer-Advocacy are now our new central locations, and most mentions to Engineering Community redirect to these pages now.

I took https://commons.wikimedia.org/wiki/File:Community_Engagement_-_Maps_of_teams_and_workflows.svg out of the scope of this task. It's a relatively minor detail and I will follow up with @mcruzWMF to fix it.

I renamed ECT-September-2015 to DevRel-September-2015. I will wait for any potential feedback before renaming the following months already created.

We also have wikimedia-ect on IRC. I don't know whether we should rename it to wikimedia-devrel or just close it and make wikimedia-dev our central home (again). I mean, it has been a cozy space used sporadically, but before renaming maybe we should simply consider closing it.

I took https://commons.wikimedia.org/wiki/File:Community_Engagement_-_Maps_of_teams_and_workflows.svg out of the scope of this task. It's a relatively minor detail and I will follow up with @mcruzWMF to fix it.

I've tried to update it (had no font info; also Inkscape had fun with that Adobe Illustrator's SVG so I might have made it harder for future updates).

We also have wikimedia-ect on IRC. I don't know whether we should rename it to wikimedia-devrel or just close it and make wikimedia-dev our central home (again). I mean, it has been a cozy space used sporadically, but before renaming maybe we should simply consider closing it.

I don't see a strong need for keeping/having it.

Nice, @Aklapper! Thanks for changing that. I always use Source Sans Pro, in case it helps for the future. I tried to find it on Mediawiki, but there is no reference to it there. I use as per Heather Walls advice.
I always convert type to curves when saving to SVG, because for one thing or other, the SVG always breaks up for me, so I never take my chances, at least with type :-)

Let me know if you need anything else from me!

Macro wikilove:

(I just realized Phabricator has memes, and I'm trying one!)

wow, this is ridiculous and passionate.

Qgil awarded a token.Sep 14 2015, 5:42 PM

@mcruzWMF maybe next time the Love token will suit better your emotive purposes. :D

greg added a comment.Sep 16 2015, 2:57 PM

We also have wikimedia-ect on IRC. I don't know whether we should rename it to wikimedia-devrel or just close it and make wikimedia-dev our central home (again). I mean, it has been a cozy space used sporadically, but before renaming maybe we should simply consider closing it.

I don't see a strong need for keeping/having it.

I didn't see mentioned the #wikimedia-devtools channel, so I'll assume I can remove the ECT related projects from the wikibugs announcements there? The purpose being to keep it focused on development tooling :) (My plan is to not have eg the Gerrit-Migration / Gitblit deprecation task announcements in -releng but have them in -devtools)
https://phabricator.wikimedia.org/diffusion/TWBT/browse/master/channels.yaml;d92b97b6db51d8c5a894afe0bb5074b47b15598c$63

eg: remove

  • Engineering-Community
  • Bugzilla-Migration (done)
  • Bugzilla-Preview (done)
  • Project-Management (doesn't seem to exist)
  • Code-Review (doesn't seem to exist)

I'll make a patch shortly.

greg added a comment.Sep 16 2015, 3:10 PM

which was just merged, so, yeah, sorry for the noise but I wanted to make sure you all were in the loop :) Carry on!

Qgil added a comment.Sep 16 2015, 5:05 PM

I DISAGR.... No, in fact I fully agree. :)

I have been thinking more about our IRC channel, and I reached to the conclusion that we should keep it, just "renamed" as wikimedia-devrel. Our mission is now more focused on outreach and onboarding than before, and having a visible IRC channel for newcomers aware of DeRel might come handy.

If in a few months it is not serving any purpose, we can close it.